! -----------------------------------------------------------------------------  
! This file was automatically created by SARAH version 4.6.0 
! SARAH References: arXiv:0806.0538, 0909.2863, 1002.0840, 1207.0906, 1309.7223  
! (c) Florian Staub, 2013  
! ------------------------------------------------------------------------------  
! File created at 14:19 on 18.11.2015   
! ----------------------------------------------------------------------  
 
 
Module RGEs_SM8C 
 
Use Control 
Use Model_Data_SM8C 
Use Mathematics 
 
Logical,Private,Save::OnlyDiagonal

Real(dp),Parameter::id3R(3,3)=& 
   & Reshape(Source=(/& 
   & 1,0,0,& 
 &0,1,0,& 
 &0,0,1& 
 &/),shape=(/3,3/)) 
Contains 


Subroutine GToParameters77(g,g1,g2,g3,LS,LHS,Lam,LHC,LCS,Yu,Yd,Ye,EWSB,               & 
& EH,EC,MS,Mu)

Implicit None 
Real(dp), Intent(in) :: g(77) 
Real(dp),Intent(out) :: g1,g2,g3

Complex(dp),Intent(out) :: LS,LHS,Lam,LHC,LCS,Yu(3,3),Yd(3,3),Ye(3,3),EWSB,EH,EC,MS,Mu

Integer i1, i2, i3, i4, SumI 
 
Iname = Iname +1 
NameOfUnit(Iname) = 'GToParameters77' 
 
g1= g(1) 
g2= g(2) 
g3= g(3) 
LS= Cmplx(g(4),g(5),dp) 
LHS= Cmplx(g(6),g(7),dp) 
Lam= Cmplx(g(8),g(9),dp) 
LHC= Cmplx(g(10),g(11),dp) 
LCS= Cmplx(g(12),g(13),dp) 
Do i1 = 1,3
Do i2 = 1,3
SumI = (i2-1) + (i1-1)*3
SumI = SumI*2 
Yu(i1,i2) = Cmplx( g(SumI+14), g(SumI+15), dp) 
End Do 
 End Do 
 
Do i1 = 1,3
Do i2 = 1,3
SumI = (i2-1) + (i1-1)*3
SumI = SumI*2 
Yd(i1,i2) = Cmplx( g(SumI+32), g(SumI+33), dp) 
End Do 
 End Do 
 
Do i1 = 1,3
Do i2 = 1,3
SumI = (i2-1) + (i1-1)*3
SumI = SumI*2 
Ye(i1,i2) = Cmplx( g(SumI+50), g(SumI+51), dp) 
End Do 
 End Do 
 
EWSB= Cmplx(g(68),g(69),dp) 
EH= Cmplx(g(70),g(71),dp) 
EC= Cmplx(g(72),g(73),dp) 
MS= Cmplx(g(74),g(75),dp) 
Mu= Cmplx(g(76),g(77),dp) 
Do i1=1,77 
If (g(i1).ne.g(i1)) Then 
 Write(*,*) "NaN appearing in ",NameOfUnit(Iname) 
 Write(*,*) "At position ", i1 
 Call TerminateProgram 
End if 
End do 
Iname = Iname - 1 
 
End Subroutine GToParameters77

Subroutine ParametersToG77(g1,g2,g3,LS,LHS,Lam,LHC,LCS,Yu,Yd,Ye,EWSB,EH,              & 
& EC,MS,Mu,g)

Implicit None 
Real(dp), Intent(out) :: g(77) 
Real(dp), Intent(in) :: g1,g2,g3

Complex(dp), Intent(in) :: LS,LHS,Lam,LHC,LCS,Yu(3,3),Yd(3,3),Ye(3,3),EWSB,EH,EC,MS,Mu

Integer i1, i2, i3, i4, SumI 
 
Iname = Iname +1 
NameOfUnit(Iname) = 'ParametersToG77' 
 
g(1) = g1  
g(2) = g2  
g(3) = g3  
g(4) = Real(LS,dp)  
g(5) = Aimag(LS)  
g(6) = Real(LHS,dp)  
g(7) = Aimag(LHS)  
g(8) = Real(Lam,dp)  
g(9) = Aimag(Lam)  
g(10) = Real(LHC,dp)  
g(11) = Aimag(LHC)  
g(12) = Real(LCS,dp)  
g(13) = Aimag(LCS)  
Do i1 = 1,3
Do i2 = 1,3
SumI = (i2-1) + (i1-1)*3
SumI = SumI*2 
g(SumI+14) = Real(Yu(i1,i2), dp) 
g(SumI+15) = Aimag(Yu(i1,i2)) 
End Do 
End Do 

Do i1 = 1,3
Do i2 = 1,3
SumI = (i2-1) + (i1-1)*3
SumI = SumI*2 
g(SumI+32) = Real(Yd(i1,i2), dp) 
g(SumI+33) = Aimag(Yd(i1,i2)) 
End Do 
End Do 

Do i1 = 1,3
Do i2 = 1,3
SumI = (i2-1) + (i1-1)*3
SumI = SumI*2 
g(SumI+50) = Real(Ye(i1,i2), dp) 
g(SumI+51) = Aimag(Ye(i1,i2)) 
End Do 
End Do 

g(68) = Real(EWSB,dp)  
g(69) = Aimag(EWSB)  
g(70) = Real(EH,dp)  
g(71) = Aimag(EH)  
g(72) = Real(EC,dp)  
g(73) = Aimag(EC)  
g(74) = Real(MS,dp)  
g(75) = Aimag(MS)  
g(76) = Real(Mu,dp)  
g(77) = Aimag(Mu)  
Iname = Iname - 1 
 
End Subroutine ParametersToG77

Subroutine rge77(len, T, GY, F) 
Implicit None 
Integer, Intent(in) :: len 
Real(dp), Intent(in) :: T, GY(len) 
Real(dp), Intent(out) :: F(len) 
Integer :: i1,i2,i3,i4 
Integer :: j1,j2,j3,j4,j5,j6,j7 
Real(dp) :: q 
Real(dp) :: g1,betag11,betag12,Dg1,g2,betag21,betag22,Dg2,g3,betag31,betag32,Dg3
Complex(dp) :: LS,betaLS1,betaLS2,DLS,LHS,betaLHS1,betaLHS2,DLHS,Lam,betaLam1,        & 
& betaLam2,DLam,LHC,betaLHC1,betaLHC2,DLHC,LCS,betaLCS1,betaLCS2,DLCS,Yu(3,3)            & 
& ,betaYu1(3,3),betaYu2(3,3),DYu(3,3),adjYu(3,3),Yd(3,3),betaYd1(3,3),betaYd2(3,3)       & 
& ,DYd(3,3),adjYd(3,3),Ye(3,3),betaYe1(3,3),betaYe2(3,3),DYe(3,3),adjYe(3,3)             & 
& ,EWSB,betaEWSB1,betaEWSB2,DEWSB,EH,betaEH1,betaEH2,DEH,EC,betaEC1,betaEC2,             & 
& DEC,MS,betaMS1,betaMS2,DMS,Mu,betaMu1,betaMu2,DMu
Iname = Iname +1 
NameOfUnit(Iname) = 'rge77' 
 
OnlyDiagonal = .Not.GenerationMixing 
q = t 
 
Call GToParameters77(gy,g1,g2,g3,LS,LHS,Lam,LHC,LCS,Yu,Yd,Ye,EWSB,EH,EC,MS,Mu)

Call Adjungate(Yu,adjYu)
Call Adjungate(Yd,adjYd)
Call Adjungate(Ye,adjYe)


If (TwoLoopRGE) Then 
End If 
 
 
!-------------------- 
! g1 
!-------------------- 
 
betag11  = 0

 
 
If (TwoLoopRGE) Then 
betag12 = 0

 
Dg1 = oo16pi2*( betag11 + oo16pi2 * betag12 ) 

 
Else 
Dg1 = oo16pi2* betag11 
End If 
 
 
!-------------------- 
! g2 
!-------------------- 
 
betag21  = 0

 
 
If (TwoLoopRGE) Then 
betag22 = 0

 
Dg2 = oo16pi2*( betag21 + oo16pi2 * betag22 ) 

 
Else 
Dg2 = oo16pi2* betag21 
End If 
 
 
!-------------------- 
! g3 
!-------------------- 
 
betag31  = 0

 
 
If (TwoLoopRGE) Then 
betag32 = 0

 
Dg3 = oo16pi2*( betag31 + oo16pi2 * betag32 ) 

 
Else 
Dg3 = oo16pi2* betag31 
End If 
 
 
!-------------------- 
! LS 
!-------------------- 
 
betaLS1  = 0

 
 
If (TwoLoopRGE) Then 
betaLS2 = 0

 
DLS = oo16pi2*( betaLS1 + oo16pi2 * betaLS2 ) 

 
Else 
DLS = oo16pi2* betaLS1 
End If 
 
 
Call Chop(DLS) 

!-------------------- 
! LHS 
!-------------------- 
 
betaLHS1  = 0

 
 
If (TwoLoopRGE) Then 
betaLHS2 = 0

 
DLHS = oo16pi2*( betaLHS1 + oo16pi2 * betaLHS2 ) 

 
Else 
DLHS = oo16pi2* betaLHS1 
End If 
 
 
Call Chop(DLHS) 

!-------------------- 
! Lam 
!-------------------- 
 
betaLam1  = 0

 
 
If (TwoLoopRGE) Then 
betaLam2 = 0

 
DLam = oo16pi2*( betaLam1 + oo16pi2 * betaLam2 ) 

 
Else 
DLam = oo16pi2* betaLam1 
End If 
 
 
Call Chop(DLam) 

!-------------------- 
! LHC 
!-------------------- 
 
betaLHC1  = 0

 
 
If (TwoLoopRGE) Then 
betaLHC2 = 0

 
DLHC = oo16pi2*( betaLHC1 + oo16pi2 * betaLHC2 ) 

 
Else 
DLHC = oo16pi2* betaLHC1 
End If 
 
 
Call Chop(DLHC) 

!-------------------- 
! LCS 
!-------------------- 
 
betaLCS1  = 0

 
 
If (TwoLoopRGE) Then 
betaLCS2 = 0

 
DLCS = oo16pi2*( betaLCS1 + oo16pi2 * betaLCS2 ) 

 
Else 
DLCS = oo16pi2* betaLCS1 
End If 
 
 
Call Chop(DLCS) 

!-------------------- 
! Yu 
!-------------------- 
 
betaYu1  = 0

 
 
If (TwoLoopRGE) Then 
betaYu2 = 0

 
DYu = oo16pi2*( betaYu1 + oo16pi2 * betaYu2 ) 

 
Else 
DYu = oo16pi2* betaYu1 
End If 
 
 
Call Chop(DYu) 

!-------------------- 
! Yd 
!-------------------- 
 
betaYd1  = 0

 
 
If (TwoLoopRGE) Then 
betaYd2 = 0

 
DYd = oo16pi2*( betaYd1 + oo16pi2 * betaYd2 ) 

 
Else 
DYd = oo16pi2* betaYd1 
End If 
 
 
Call Chop(DYd) 

!-------------------- 
! Ye 
!-------------------- 
 
betaYe1  = 0

 
 
If (TwoLoopRGE) Then 
betaYe2 = 0

 
DYe = oo16pi2*( betaYe1 + oo16pi2 * betaYe2 ) 

 
Else 
DYe = oo16pi2* betaYe1 
End If 
 
 
Call Chop(DYe) 

!-------------------- 
! EWSB 
!-------------------- 
 
betaEWSB1  = 0

 
 
If (TwoLoopRGE) Then 
betaEWSB2 = 0

 
DEWSB = oo16pi2*( betaEWSB1 + oo16pi2 * betaEWSB2 ) 

 
Else 
DEWSB = oo16pi2* betaEWSB1 
End If 
 
 
Call Chop(DEWSB) 

!-------------------- 
! EH 
!-------------------- 
 
betaEH1  = 0

 
 
If (TwoLoopRGE) Then 
betaEH2 = 0

 
DEH = oo16pi2*( betaEH1 + oo16pi2 * betaEH2 ) 

 
Else 
DEH = oo16pi2* betaEH1 
End If 
 
 
Call Chop(DEH) 

!-------------------- 
! EC 
!-------------------- 
 
betaEC1  = 0

 
 
If (TwoLoopRGE) Then 
betaEC2 = 0

 
DEC = oo16pi2*( betaEC1 + oo16pi2 * betaEC2 ) 

 
Else 
DEC = oo16pi2* betaEC1 
End If 
 
 
Call Chop(DEC) 

!-------------------- 
! MS 
!-------------------- 
 
betaMS1  = 0

 
 
If (TwoLoopRGE) Then 
betaMS2 = 0

 
DMS = oo16pi2*( betaMS1 + oo16pi2 * betaMS2 ) 

 
Else 
DMS = oo16pi2* betaMS1 
End If 
 
 
Call Chop(DMS) 

!-------------------- 
! Mu 
!-------------------- 
 
betaMu1  = 0

 
 
If (TwoLoopRGE) Then 
betaMu2 = 0

 
DMu = oo16pi2*( betaMu1 + oo16pi2 * betaMu2 ) 

 
Else 
DMu = oo16pi2* betaMu1 
End If 
 
 
Call Chop(DMu) 

Call ParametersToG77(Dg1,Dg2,Dg3,DLS,DLHS,DLam,DLHC,DLCS,DYu,DYd,DYe,DEWSB,           & 
& DEH,DEC,DMS,DMu,f)

Iname = Iname - 1 
 
End Subroutine rge77  

Subroutine GToParameters79(g,g1,g2,g3,LS,LHS,Lam,LHC,LCS,Yu,Yd,Ye,EWSB,               & 
& EH,EC,MS,Mu,v,vS)

Implicit None 
Real(dp), Intent(in) :: g(79) 
Real(dp),Intent(out) :: g1,g2,g3,v,vS

Complex(dp),Intent(out) :: LS,LHS,Lam,LHC,LCS,Yu(3,3),Yd(3,3),Ye(3,3),EWSB,EH,EC,MS,Mu

Integer i1, i2, i3, i4, SumI 
 
Iname = Iname +1 
NameOfUnit(Iname) = 'GToParameters79' 
 
g1= g(1) 
g2= g(2) 
g3= g(3) 
LS= Cmplx(g(4),g(5),dp) 
LHS= Cmplx(g(6),g(7),dp) 
Lam= Cmplx(g(8),g(9),dp) 
LHC= Cmplx(g(10),g(11),dp) 
LCS= Cmplx(g(12),g(13),dp) 
Do i1 = 1,3
Do i2 = 1,3
SumI = (i2-1) + (i1-1)*3
SumI = SumI*2 
Yu(i1,i2) = Cmplx( g(SumI+14), g(SumI+15), dp) 
End Do 
 End Do 
 
Do i1 = 1,3
Do i2 = 1,3
SumI = (i2-1) + (i1-1)*3
SumI = SumI*2 
Yd(i1,i2) = Cmplx( g(SumI+32), g(SumI+33), dp) 
End Do 
 End Do 
 
Do i1 = 1,3
Do i2 = 1,3
SumI = (i2-1) + (i1-1)*3
SumI = SumI*2 
Ye(i1,i2) = Cmplx( g(SumI+50), g(SumI+51), dp) 
End Do 
 End Do 
 
EWSB= Cmplx(g(68),g(69),dp) 
EH= Cmplx(g(70),g(71),dp) 
EC= Cmplx(g(72),g(73),dp) 
MS= Cmplx(g(74),g(75),dp) 
Mu= Cmplx(g(76),g(77),dp) 
v= g(78) 
vS= g(79) 
Do i1=1,79 
If (g(i1).ne.g(i1)) Then 
 Write(*,*) "NaN appearing in ",NameOfUnit(Iname) 
 Write(*,*) "At position ", i1 
 Call TerminateProgram 
End if 
End do 
Iname = Iname - 1 
 
End Subroutine GToParameters79

Subroutine ParametersToG79(g1,g2,g3,LS,LHS,Lam,LHC,LCS,Yu,Yd,Ye,EWSB,EH,              & 
& EC,MS,Mu,v,vS,g)

Implicit None 
Real(dp), Intent(out) :: g(79) 
Real(dp), Intent(in) :: g1,g2,g3,v,vS

Complex(dp), Intent(in) :: LS,LHS,Lam,LHC,LCS,Yu(3,3),Yd(3,3),Ye(3,3),EWSB,EH,EC,MS,Mu

Integer i1, i2, i3, i4, SumI 
 
Iname = Iname +1 
NameOfUnit(Iname) = 'ParametersToG79' 
 
g(1) = g1  
g(2) = g2  
g(3) = g3  
g(4) = Real(LS,dp)  
g(5) = Aimag(LS)  
g(6) = Real(LHS,dp)  
g(7) = Aimag(LHS)  
g(8) = Real(Lam,dp)  
g(9) = Aimag(Lam)  
g(10) = Real(LHC,dp)  
g(11) = Aimag(LHC)  
g(12) = Real(LCS,dp)  
g(13) = Aimag(LCS)  
Do i1 = 1,3
Do i2 = 1,3
SumI = (i2-1) + (i1-1)*3
SumI = SumI*2 
g(SumI+14) = Real(Yu(i1,i2), dp) 
g(SumI+15) = Aimag(Yu(i1,i2)) 
End Do 
End Do 

Do i1 = 1,3
Do i2 = 1,3
SumI = (i2-1) + (i1-1)*3
SumI = SumI*2 
g(SumI+32) = Real(Yd(i1,i2), dp) 
g(SumI+33) = Aimag(Yd(i1,i2)) 
End Do 
End Do 

Do i1 = 1,3
Do i2 = 1,3
SumI = (i2-1) + (i1-1)*3
SumI = SumI*2 
g(SumI+50) = Real(Ye(i1,i2), dp) 
g(SumI+51) = Aimag(Ye(i1,i2)) 
End Do 
End Do 

g(68) = Real(EWSB,dp)  
g(69) = Aimag(EWSB)  
g(70) = Real(EH,dp)  
g(71) = Aimag(EH)  
g(72) = Real(EC,dp)  
g(73) = Aimag(EC)  
g(74) = Real(MS,dp)  
g(75) = Aimag(MS)  
g(76) = Real(Mu,dp)  
g(77) = Aimag(Mu)  
g(78) = v  
g(79) = vS  
Iname = Iname - 1 
 
End Subroutine ParametersToG79

Subroutine rge79(len, T, GY, F) 
Implicit None 
Integer, Intent(in) :: len 
Real(dp), Intent(in) :: T, GY(len) 
Real(dp), Intent(out) :: F(len) 
Integer :: i1,i2,i3,i4 
Integer :: j1,j2,j3,j4,j5,j6,j7 
Real(dp) :: q 
Real(dp) :: g1,betag11,betag12,Dg1,g2,betag21,betag22,Dg2,g3,betag31,betag32,         & 
& Dg3,v,betav1,betav2,Dv,vS,betavS1,betavS2,DvS
Complex(dp) :: LS,betaLS1,betaLS2,DLS,LHS,betaLHS1,betaLHS2,DLHS,Lam,betaLam1,        & 
& betaLam2,DLam,LHC,betaLHC1,betaLHC2,DLHC,LCS,betaLCS1,betaLCS2,DLCS,Yu(3,3)            & 
& ,betaYu1(3,3),betaYu2(3,3),DYu(3,3),adjYu(3,3),Yd(3,3),betaYd1(3,3),betaYd2(3,3)       & 
& ,DYd(3,3),adjYd(3,3),Ye(3,3),betaYe1(3,3),betaYe2(3,3),DYe(3,3),adjYe(3,3)             & 
& ,EWSB,betaEWSB1,betaEWSB2,DEWSB,EH,betaEH1,betaEH2,DEH,EC,betaEC1,betaEC2,             & 
& DEC,MS,betaMS1,betaMS2,DMS,Mu,betaMu1,betaMu2,DMu
Iname = Iname +1 
NameOfUnit(Iname) = 'rge79' 
 
OnlyDiagonal = .Not.GenerationMixing 
q = t 
 
Call GToParameters79(gy,g1,g2,g3,LS,LHS,Lam,LHC,LCS,Yu,Yd,Ye,EWSB,EH,EC,              & 
& MS,Mu,v,vS)

Call Adjungate(Yu,adjYu)
Call Adjungate(Yd,adjYd)
Call Adjungate(Ye,adjYe)


If (TwoLoopRGE) Then 
End If 
 
 
!-------------------- 
! g1 
!-------------------- 
 
betag11  = 0

 
 
If (TwoLoopRGE) Then 
betag12 = 0

 
Dg1 = oo16pi2*( betag11 + oo16pi2 * betag12 ) 

 
Else 
Dg1 = oo16pi2* betag11 
End If 
 
 
!-------------------- 
! g2 
!-------------------- 
 
betag21  = 0

 
 
If (TwoLoopRGE) Then 
betag22 = 0

 
Dg2 = oo16pi2*( betag21 + oo16pi2 * betag22 ) 

 
Else 
Dg2 = oo16pi2* betag21 
End If 
 
 
!-------------------- 
! g3 
!-------------------- 
 
betag31  = 0

 
 
If (TwoLoopRGE) Then 
betag32 = 0

 
Dg3 = oo16pi2*( betag31 + oo16pi2 * betag32 ) 

 
Else 
Dg3 = oo16pi2* betag31 
End If 
 
 
!-------------------- 
! LS 
!-------------------- 
 
betaLS1  = 0

 
 
If (TwoLoopRGE) Then 
betaLS2 = 0

 
DLS = oo16pi2*( betaLS1 + oo16pi2 * betaLS2 ) 

 
Else 
DLS = oo16pi2* betaLS1 
End If 
 
 
Call Chop(DLS) 

!-------------------- 
! LHS 
!-------------------- 
 
betaLHS1  = 0

 
 
If (TwoLoopRGE) Then 
betaLHS2 = 0

 
DLHS = oo16pi2*( betaLHS1 + oo16pi2 * betaLHS2 ) 

 
Else 
DLHS = oo16pi2* betaLHS1 
End If 
 
 
Call Chop(DLHS) 

!-------------------- 
! Lam 
!-------------------- 
 
betaLam1  = 0

 
 
If (TwoLoopRGE) Then 
betaLam2 = 0

 
DLam = oo16pi2*( betaLam1 + oo16pi2 * betaLam2 ) 

 
Else 
DLam = oo16pi2* betaLam1 
End If 
 
 
Call Chop(DLam) 

!-------------------- 
! LHC 
!-------------------- 
 
betaLHC1  = 0

 
 
If (TwoLoopRGE) Then 
betaLHC2 = 0

 
DLHC = oo16pi2*( betaLHC1 + oo16pi2 * betaLHC2 ) 

 
Else 
DLHC = oo16pi2* betaLHC1 
End If 
 
 
Call Chop(DLHC) 

!-------------------- 
! LCS 
!-------------------- 
 
betaLCS1  = 0

 
 
If (TwoLoopRGE) Then 
betaLCS2 = 0

 
DLCS = oo16pi2*( betaLCS1 + oo16pi2 * betaLCS2 ) 

 
Else 
DLCS = oo16pi2* betaLCS1 
End If 
 
 
Call Chop(DLCS) 

!-------------------- 
! Yu 
!-------------------- 
 
betaYu1  = 0

 
 
If (TwoLoopRGE) Then 
betaYu2 = 0

 
DYu = oo16pi2*( betaYu1 + oo16pi2 * betaYu2 ) 

 
Else 
DYu = oo16pi2* betaYu1 
End If 
 
 
Call Chop(DYu) 

!-------------------- 
! Yd 
!-------------------- 
 
betaYd1  = 0

 
 
If (TwoLoopRGE) Then 
betaYd2 = 0

 
DYd = oo16pi2*( betaYd1 + oo16pi2 * betaYd2 ) 

 
Else 
DYd = oo16pi2* betaYd1 
End If 
 
 
Call Chop(DYd) 

!-------------------- 
! Ye 
!-------------------- 
 
betaYe1  = 0

 
 
If (TwoLoopRGE) Then 
betaYe2 = 0

 
DYe = oo16pi2*( betaYe1 + oo16pi2 * betaYe2 ) 

 
Else 
DYe = oo16pi2* betaYe1 
End If 
 
 
Call Chop(DYe) 

!-------------------- 
! EWSB 
!-------------------- 
 
betaEWSB1  = 0

 
 
If (TwoLoopRGE) Then 
betaEWSB2 = 0

 
DEWSB = oo16pi2*( betaEWSB1 + oo16pi2 * betaEWSB2 ) 

 
Else 
DEWSB = oo16pi2* betaEWSB1 
End If 
 
 
Call Chop(DEWSB) 

!-------------------- 
! EH 
!-------------------- 
 
betaEH1  = 0

 
 
If (TwoLoopRGE) Then 
betaEH2 = 0

 
DEH = oo16pi2*( betaEH1 + oo16pi2 * betaEH2 ) 

 
Else 
DEH = oo16pi2* betaEH1 
End If 
 
 
Call Chop(DEH) 

!-------------------- 
! EC 
!-------------------- 
 
betaEC1  = 0

 
 
If (TwoLoopRGE) Then 
betaEC2 = 0

 
DEC = oo16pi2*( betaEC1 + oo16pi2 * betaEC2 ) 

 
Else 
DEC = oo16pi2* betaEC1 
End If 
 
 
Call Chop(DEC) 

!-------------------- 
! MS 
!-------------------- 
 
betaMS1  = 0

 
 
If (TwoLoopRGE) Then 
betaMS2 = 0

 
DMS = oo16pi2*( betaMS1 + oo16pi2 * betaMS2 ) 

 
Else 
DMS = oo16pi2* betaMS1 
End If 
 
 
Call Chop(DMS) 

!-------------------- 
! Mu 
!-------------------- 
 
betaMu1  = 0

 
 
If (TwoLoopRGE) Then 
betaMu2 = 0

 
DMu = oo16pi2*( betaMu1 + oo16pi2 * betaMu2 ) 

 
Else 
DMu = oo16pi2* betaMu1 
End If 
 
 
Call Chop(DMu) 

!-------------------- 
! v 
!-------------------- 
 
betav1  = 0

 
 
If (TwoLoopRGE) Then 
betav2 = 0

 
Dv = oo16pi2*( betav1 + oo16pi2 * betav2 ) 

 
Else 
Dv = oo16pi2* betav1 
End If 
 
 
!-------------------- 
! vS 
!-------------------- 
 
betavS1  = 0

 
 
If (TwoLoopRGE) Then 
betavS2 = 0

 
DvS = oo16pi2*( betavS1 + oo16pi2 * betavS2 ) 

 
Else 
DvS = oo16pi2* betavS1 
End If 
 
 
Call ParametersToG79(Dg1,Dg2,Dg3,DLS,DLHS,DLam,DLHC,DLCS,DYu,DYd,DYe,DEWSB,           & 
& DEH,DEC,DMS,DMu,Dv,DvS,f)

Iname = Iname - 1 
 
End Subroutine rge79  

End Module RGEs_SM8C 
 
