! -----------------------------------------------------------------------------  
! This file was automatically created by SARAH version 4.6.0 
! SARAH References: arXiv:0806.0538, 0909.2863, 1002.0840, 1207.0906, 1309.7223  
! (c) Florian Staub, 2013  
! ------------------------------------------------------------------------------  
! File created at 14:20 on 18.11.2015   
! ----------------------------------------------------------------------  
 
 
Module Tadpoles_SM8C 
 
Use Model_Data_SM8C 
Use SUSYMasses_SM8C 
Use RGEs_SM8C 
Use Control 

Use Mathematics 

Contains 


Subroutine SolveTadpoleEquations(g1,g2,g3,LS,LHS,Lam,LHC,LCS,Yu,Yd,Ye,EWSB,           & 
& EH,EC,MS,Mu,v,vS,Tad1Loop)

Implicit None
Real(dp),Intent(inout) :: g1,g2,g3,v,vS

Complex(dp),Intent(inout) :: LS,LHS,Lam,LHC,LCS,Yu(3,3),Yd(3,3),Ye(3,3),EWSB,EH,EC,MS,Mu

Complex(dp), Intent(in) :: Tad1Loop(2)

! For numerical routines 
Real(dp) :: gC(79)
logical :: broycheck 
Real(dp) :: broyx(2)

If (HighScaleModel.Eq."LOW") Then 
Mu = (Lam*v**2)/2._dp + EH*vS + (LHS*vS**2)/2._dp + Tad1Loop(1)/v
MS = (EH*v**2 + LHS*v**2*vS + 6*EWSB*vS**2 + 2*LS*vS**3 + 2*Tad1Loop(2))/(2._dp*vS)

 ! ----------- Check solutions for consistency  -------- 

 ! Check for NaNs 
If (Real(Mu,dp).ne.Real(Mu,dp)) Then 
   Write(*,*) "NaN appearing in solution of tadpole equations for Mu" 
   Call TerminateProgram  
 End If 
 If (Abs(AImag(Mu)).gt.1.0E-04_dp) Then 
   Write(*,*) "No real solution of tadpole equations for Mu" 
   !Call TerminateProgram  
   Mu = Real(Mu,dp) 
  SignOfMuChanged= .True. 
End If 
 If (Real(MS,dp).ne.Real(MS,dp)) Then 
   Write(*,*) "NaN appearing in solution of tadpole equations for MS" 
   Call TerminateProgram  
 End If 
 If (Abs(AImag(MS)).gt.1.0E-04_dp) Then 
   Write(*,*) "No real solution of tadpole equations for MS" 
   !Call TerminateProgram  
   MS = Real(MS,dp) 
  SignOfMuChanged= .True. 
End If 
 Else 
Mu = (Lam*v**2)/2._dp + EH*vS + (LHS*vS**2)/2._dp + Tad1Loop(1)/v
MS = (EH*v**2 + LHS*v**2*vS + 6*EWSB*vS**2 + 2*LS*vS**3 + 2*Tad1Loop(2))/(2._dp*vS)

 ! ----------- Check solutions for consistency  -------- 

 ! Check for NaNs 
If (Real(Mu,dp).ne.Real(Mu,dp)) Then 
   Write(*,*) "NaN appearing in solution of tadpole equations for Mu" 
   Call TerminateProgram  
 End If 
 If (Abs(AImag(Mu)).gt.1.0E-04_dp) Then 
   Write(*,*) "No real solution of tadpole equations for Mu" 
   !Call TerminateProgram  
   Mu = Real(Mu,dp) 
  SignOfMuChanged= .True. 
End If 
 If (Real(MS,dp).ne.Real(MS,dp)) Then 
   Write(*,*) "NaN appearing in solution of tadpole equations for MS" 
   Call TerminateProgram  
 End If 
 If (Abs(AImag(MS)).gt.1.0E-04_dp) Then 
   Write(*,*) "No real solution of tadpole equations for MS" 
   !Call TerminateProgram  
   MS = Real(MS,dp) 
  SignOfMuChanged= .True. 
End If 
 End if 
End Subroutine SolveTadpoleEquations

Subroutine CalculateTadpoles(g1,g2,g3,LS,LHS,Lam,LHC,LCS,Yu,Yd,Ye,EWSB,               & 
& EH,EC,MS,Mu,v,vS,Tad1Loop,TadpoleValues)

Real(dp),Intent(in) :: g1,g2,g3,v,vS

Complex(dp),Intent(in) :: LS,LHS,Lam,LHC,LCS,Yu(3,3),Yd(3,3),Ye(3,3),EWSB,EH,EC,MS,Mu

Complex(dp), Intent(in) :: Tad1Loop(2)

Real(dp), Intent(out) :: TadpoleValues(2)

TadpoleValues(1) = Real(-(v*(-2._dp*(Mu) + Lam*v**2 + 2*EH*vS + LHS*vS**2))           & 
& /2._dp - Tad1Loop(1),dp) 
TadpoleValues(2) = Real(-(v**2*(EH + LHS*vS))/2._dp + vS*(MS - 3*EWSB*vS - LS*vS**2)  & 
&  - Tad1Loop(2),dp) 
End Subroutine CalculateTadpoles 

End Module Tadpoles_SM8C 
 
